org.hibernate.search.elasticsearch.work.impl

## Class ES2FlushWork

- java.lang.Object
- - org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork<Void>
  - - org.hibernate.search.elasticsearch.work.impl.ES2FlushWork

- All Implemented Interfaces:
    ElasticsearchWork<Void>

      public class ES2FlushWork
      extends SimpleElasticsearchWork<Void>

  A flush work for ES2, using the Flush API.
  Author:
    Yoann Rodiere

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ES2FlushWork.Builder`

  - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork

      `dirtiedIndexName, markIndexDirty, request, resultAssessor`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ES2FlushWork(ES2FlushWork.Builder builder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Void` | `generateResult(ElasticsearchWorkExecutionContext context, ElasticsearchResponse response)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork

      `afterSuccess, aggregate, beforeExecute, execute, getLuceneWork, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ES2FlushWork

          protected ES2FlushWork(ES2FlushWork.Builder builder)

  - ### Method Detail

    - #### generateResult

          protected Void generateResult(ElasticsearchWorkExecutionContext context,
                                        ElasticsearchResponse response)

      Specified by:
        `generateResult` in class `SimpleElasticsearchWork<Void>`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved